package org.codecop.primefactors;

import static org.junit.Assert.*;

import java.util.Arrays;

import org.junit.Test;

public class PrimeFactorsTest {

	@Test
	public void testOne() throws Exception {
		assertEquals(Arrays.asList(), PrimeFactors.generate(1));
	}

	@Test
	public void testTwo() throws Exception {
		assertEquals(Arrays.asList(2), PrimeFactors.generate(2));
	}

	@Test
	public void testThree() throws Exception {
		assertEquals(Arrays.asList(3), PrimeFactors.generate(3));
	}

	@Test
	public void testFour() throws Exception {
		assertEquals(Arrays.asList(2, 2), PrimeFactors.generate(4));
	}

	@Test
	public void testSix() throws Exception {
		assertEquals(Arrays.asList(2, 3), PrimeFactors.generate(6));
	}

	@Test
	public void testEight() throws Exception {
		assertEquals(Arrays.asList(2, 2, 2), PrimeFactors.generate(8));
	}

	@Test
	public void testNine() throws Exception {
		assertEquals(Arrays.asList(3, 3), PrimeFactors.generate(9));
	}
}
