package org.codecop.primefactors;

import java.util.ArrayList;
import java.util.List;

public class PrimeFactors {

	public static List<Integer> generate(int i) {
		ArrayList<Integer> factors = new ArrayList<Integer>();
		for (int canditate = 2; canditate < i; canditate++)
			while (i % canditate == 0) {
				factors.add(canditate);
				i /= canditate;
			}
		if (i > 1) {
			factors.add(i);
		}
		return factors;
	}

}
