package org.codecop.primefactors;

import java.util.ArrayList;
import java.util.List;

public class PrimeFactors {

	public static List<Integer> generate(final int number) {
		int remaining = number;
		final ArrayList<Integer> factors = new ArrayList<Integer>();
		for (int canditate = 2; canditate <= Math.sqrt(remaining); canditate++) {
			for (; remaining % canditate == 0; remaining /= canditate) {
				factors.add(canditate);
			}
		}
		// now we need it again
		if (remaining > 1) {
			factors.add(remaining);
		}
		return factors;
	}

}
