package org.codecop.primefactors;

import static org.junit.Assert.assertEquals;

import java.util.Arrays;

import org.junit.Test;

public class PrimeFactorsTest {

	@Test
	public void testOne() {
		assertEquals(Arrays.asList(), PrimeFactors.generate(1));
	}

	@Test
	public void testTwo() {
		assertEquals(Arrays.asList(2), PrimeFactors.generate(2));
	}

	@Test
	public void testThree() {
		assertEquals(Arrays.asList(3), PrimeFactors.generate(3));
	}

	@Test
	public void testFour() {
		assertEquals(Arrays.asList(2, 2), PrimeFactors.generate(4));
	}

	@Test
	public void testSix() {
		assertEquals(Arrays.asList(2, 3), PrimeFactors.generate(6));
	}

	@Test
	public void testEight() {
		assertEquals(Arrays.asList(2, 2, 2), PrimeFactors.generate(8));
	}

	@Test
	public void testNine() {
		assertEquals(Arrays.asList(3, 3), PrimeFactors.generate(9));
	}

	@Test
	public void testMax() {
		assertEquals(Arrays.asList(Integer.MAX_VALUE), PrimeFactors.generate(Integer.MAX_VALUE));
	}
	
}
